unit UnitClipMenuInfo;

interface

uses UnitMenuItemTagdata, UnitClipQueue, UnitACPopupPrototype;


type TLastClipMenuInfo = class
    private
        class var fItemType : TItemType;
        class var fClip : TClipItem;
        class var fIntegerData : integer;
    public
        class procedure ExtractPopupItemData( p : TACPopupItem );

        class property ItemType : TItemType read fItemType;
        class property Clip : TClipItem read fClip;
        class property IntegerData : integer read fIntegerData;
end;

implementation


class procedure TLastClipMenuInfo.ExtractPopupItemData( p : TACPopupItem );
begin
    fItemType := p.ItemType;
    fClip := p.Clip;
    fIntegerData := p.IntegerData;
end;


end.
